import { useMemo } from 'react';
import { filterEvent } from '@equinor/fusion-framework-module-event';
import { useEventProvider } from './EventProvider';
/**
 * Hook for observing events
 *
 * @param key name of the event to filter out
 * @param operator [optional] {@link OperatorFunction} for transforming the stream __must be memorized!__
 */
export const useEventStream = (key, operator) => {
    const provider = useEventProvider();
    return useMemo(() => {
        return provider.event$.pipe(filterEvent(key), operator ?? ((x) => x));
    }, [provider, key, operator]);
};
export default useEventStream;
//# sourceMappingURL=useEventStream.js.map