import type { FrameworkEventMap, FrameworkEventHandler, IFrameworkEvent } from '@equinor/fusion-framework-module-event';
/**
 * hook for subscribing to framework events
 *
 * @template TKey name of the event to subscribe too
 * @template TType event type
 */
export interface useEventHandler<TKey extends keyof FrameworkEventMap = keyof FrameworkEventMap, TType extends IFrameworkEvent = FrameworkEventMap[TKey]> {
    (key: TKey, cb: FrameworkEventHandler<TType>): void;
    (key: string, cb: FrameworkEventHandler<TType>): void;
}
export declare const useEventHandler: useEventHandler;
export default useEventHandler;
