import type { Observable, OperatorFunction } from 'rxjs';
import { type FrameworkEventMap } from '@equinor/fusion-framework-module-event';
export type EventStream<TKey extends keyof FrameworkEventMap = keyof FrameworkEventMap> = Observable<FrameworkEventMap[TKey]>;
/**
 * Hook for observing events
 *
 * @param key name of the event to filter out
 * @param operator [optional] {@link OperatorFunction} for transforming the stream __must be memorized!__
 */
export declare const useEventStream: <TKey extends keyof FrameworkEventMap = keyof FrameworkEventMap, TData = FrameworkEventMap[TKey]>(key: TKey, operator?: OperatorFunction<FrameworkEventMap[TKey], TData>) => Observable<TData>;
export default useEventStream;
